// impfile.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CImpFile document

class CMapFile;

class CImpEntry
{	
public:	
	CString defname;
	UINT ordinal;
	BOOL exported;
};

class CImpFile : public CDocument
{
	DECLARE_SERIAL(CImpFile)
public:
	CImpFile();			
	~CImpFile();			
	CMapStringToPtr classes;

// Attributes
public:
	HGLOBAL hBuff;
	CString line; 
	CStringList m_pExport;
	int LineNr;              
	WORD m_err;
	HPSTR eof;
// Operations
public:
	HPSTR getLine(HPSTR lpOrg);
	void Add(CString& export);
	virtual BOOL OnSaveDocument(const char * pszPathName);
	BOOL OnOpenDocument(const char * pszPathName);
	void prepareSearch(CMapFile* pMapFile);
	void freeSearch();
	void search(LPCSTR classnm, LPCSTR defname, UINT& ordinal, BOOL& exported);
	void reImport(CMapFile* pMapFile, CWnd* pWnd);

// Implementation
protected:
	virtual void Serialize(CArchive& ar);	// overridden for document i/o
	virtual	BOOL OnNewDocument();
    
	// Generated message map functions
protected:
	//{{AFX_MSG(CImpFile)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

